Joltio Data / data.graphql
Query the Data GraphQL schema
Query the Data GraphQL schema.
POST /v1/data/graphql
- Authentication
- X-API-Key / Bearer
- Formats
- JSON
- Rows per query
- Not applicable
Parameters
| Name | Type | Location |
|---|---|---|
query | string | body |
variables | object | body |
operationName | string | body |
Responses
200 | OK |
401 | unauthorized: An API key or Bearer token is required. |
curl
curl -X POST 'https://api.joltio.app/v1/data/graphql' -H 'X-API-Key: $JOLTIO_API_KEY' -H 'Content-Type: application/json' -d '{"query":"{ indicators { id } }"}'Python
from joltio import Client
import json
with Client() as j:
result = j.post('/v1/data/graphql', json=json.loads('{"query":"{ indicators { id } }"}'))